Status: Closed Start date: 06 Jun 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Could use: http://www.redmine.org/plugins/tweetbook

Related issues:

Related to Projects - Bug #2379: Google OpenID Won't Fix 30 Apr 2015

History

#1 - 23 Oct 2016 10:56 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 70

Currently, I’m getting the following error for Facebook:

Started GET "/auth/facebook/callback?code=...&state=..." for **.***.***.*** at 2016-10-23 10:52:11 +0000

Started GET "/auth/failure?message=invalid_credentials&origin=http%3A%2F%2Fprojects.andriylesyuk.com%2Flogin&s

trategy=facebook" for **.***.***.*** at 2016-10-23 10:52:12 +0000

ActionController::RoutingError (No route matches [GET] "/auth/failure"):

  ...

#2 - 23 Oct 2016 11:36 - Andriy Lesyuk

Added the following code to init.rb:

OmniAuth.config.on_failure do |env|

  [200, {}, [env['omniauth.error'].inspect]]

end

 

Now getting:

#<OAuth2::Error: : 

{"error":{"message":"Error validating verification code. Please make sure your redirect_uri is identical to th

e one you used in the OAuth dialog request","type":"OAuthException","code":100,"fbtrace_id":"..."}}>
#3 - 23 Oct 2016 11:52 - Andriy Lesyuk

Looks like the fix is in omniauth-facebook 3.0.0...

The issue: https://github.com/mkdynamic/omniauth-facebook/issues/220

The fix: https://github.com/mkdynamic/omniauth-facebook/pull/221/files

#4 - 23 Oct 2016 16:17 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
